js_buf_read(3)

NAME
js_buf_read - Private function that loads a new chunk of a file in to the buffer

SYNOPSIS
#include JsStr.h

int js_buf_read(js_file *desc)

DESCRIPTION
js_buf_read is a private function that loads up a new chunk of a file in to the buffer.

NOTES
I am declaring this function a private function because programs using the js_string library really should not be playing around with the buffer in this manner. This function should only be called from other js_buf_* functions. In other words, use this function at your own risk, because I may change the interface of this function or delete this function altogether in future releases of the js_string library.

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>